import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const HotelIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
         <path d="M18 1H6C4.67441 1.00159 3.40356 1.52888 2.46622 2.46622C1.52888 3.40356 1.00159 4.67441 1 6V14C1.00145 15.1522 1.40009 16.2687 2.12872 17.1613C2.85735 18.0538 3.87141 18.6679 5 18.9V22C4.99997 22.181 5.0491 22.3587 5.14213 22.514C5.23516 22.6693 5.36861 22.7965 5.52823 22.8819C5.68786 22.9673 5.86769 23.0078 6.04852 22.999C6.22935 22.9902 6.4044 22.9325 6.555 22.832L12.3 19H18C19.3256 18.9984 20.5964 18.4711 21.5338 17.5338C22.4711 16.5964 22.9984 15.3256 23 14V6C22.9984 4.67441 22.4711 3.40356 21.5338 2.46622C20.5964 1.52888 19.3256 1.00159 18 1ZM16 13H8C7.73478 13 7.48043 12.8946 7.29289 12.7071C7.10536 12.5196 7 12.2652 7 12C7 11.7348 7.10536 11.4804 7.29289 11.2929C7.48043 11.1054 7.73478 11 8 11H16C16.2652 11 16.5196 11.1054 16.7071 11.2929C16.8946 11.4804 17 11.7348 17 12C17 12.2652 16.8946 12.5196 16.7071 12.7071C16.5196 12.8946 16.2652 13 16 13ZM18 9H6C5.73478 9 5.48043 8.89464 5.29289 8.70711C5.10536 8.51957 5 8.26522 5 8C5 7.73478 5.10536 7.48043 5.29289 7.29289C5.48043 7.10536 5.73478 7 6 7H18C18.2652 7 18.5196 7.10536 18.7071 7.29289C18.8946 7.48043 19 7.73478 19 8C19 8.26522 18.8946 8.51957 18.7071 8.70711C18.5196 8.89464 18.2652 9 18 9Z"
               fill={color}
         />
    </Icon>
);

HotelIcon.defaultProps = {
    originalWidth: 24,
    originalHeight: 24,
};

HotelIcon.propTypes = {
    color: PropTypes.string,
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default HotelIcon;
